pastel-set(1)

NAME
pastel-set - Set a color property to a specific value

SYNOPSIS
pastel set [-h|--help] <property> <value> [color]

DESCRIPTION
Set the given property to a specific value Example:
  pastel random | pastel set luminance 0.9

OPTIONS

-h, --help
    Print help (see a summary with '-h')

<property>
    The property that should be changed

    Possible values:

    •   lightness

    •   hue

    •   chroma

    •   lab-a

    •   lab-b

    •   oklab-l

    •   oklab-a

    •   oklab-b

    •   red

    •   green

    •   blue

    •   hsl-hue

    •   hsl-saturation

    •   hsl-lightness

    •   alpha

<value>
    The new numerical value of the property

[color]
    Colors can be specified in many different formats, such as #RRGGBB, RRGGBB, #RGB, 'rgb(…, …, …)', 'hsl(…, …, …)', 'gray(…)' or simply by the name of the color. The identifier '-' can be used to read a single color from standard input. Also, the special identifier 'pick' can be used to run an external color picker to choose a color. If no color argument is specified, colors will be read from standard input. Examples (all of these specify the same color):
      - lightslategray
      - '#778899'
      - 778899
      - 789
      - 'rgb(119, 136, 153)'
      - '119,136,153'
      - 'hsl(210, 14.3%, 53.3%)' Alpha transparency is also supported:
      - '#77889980'
      - 'rgba(119, 136, 153, 0.5)'
      - 'hsla(210, 14.3%, 53.3%, 50%)'